Bug 158079 - NullPointerException at org.netbeans.modules.mobility.project.ui.customizer.AddAbilityPanel.getKey
NullPointerException at org.netbeans.modules.mobility.project.ui.customizer.A...
Status: VERIFIED FIXED
Product: javame
Classification: Unclassified
Component: Build System
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Petr Suchomel
issues@mobility
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT, 65fixes3-verified
:
Depends on: 154624
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-06 13:54 UTC by pjulien
Modified: 2009-07-20 03:51 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (6.47 KB, text/plain)
2009-02-06 13:54 UTC, pjulien
Details
stacktrace (6.47 KB, text/plain)
2009-02-11 15:17 UTC, hazam
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pjulien 2009-02-06 13:54:13 UTC
Build: NetBeans IDE 6.5 (Build 200811100001)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-b04
OS: Windows Vista, 6.0, amd64

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.mobility.project.ui.customizer.AddAbilityPanel.getKey(AddAbilityPanel.java:90)
        at org.netbeans.modules.mobility.project.ui.customizer.AddAbilityPanel.isValid(AddAbilityPanel.java:104)
        at java.awt.Component.invalidateIfValid(Component.java:2740)
        at java.awt.Component.setLocale(Component.java:1810)
        at javax.swing.JComponent.<init>(JComponent.java:595)
        at javax.swing.JPanel.<init>(JPanel.java:65)
Comment 1 pjulien 2009-02-06 13:54:21 UTC
Created attachment 76658 [details]
stacktrace
Comment 2 hazam 2009-02-11 15:17:41 UTC
Build: NetBeans IDE 6.5 (Build 200811100001)
VM: Java HotSpot(TM) Client VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-b04
OS: Windows XP, 5.1, x86

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.mobility.project.ui.customizer.AddAbilityPanel.getKey(AddAbilityPanel.java:90)
        at org.netbeans.modules.mobility.project.ui.customizer.AddAbilityPanel.isValid(AddAbilityPanel.java:104)
        at java.awt.Component.invalidateIfValid(Component.java:2740)
        at java.awt.Component.setLocale(Component.java:1810)
        at javax.swing.JComponent.<init>(JComponent.java:595)
        at javax.swing.JPanel.<init>(JPanel.java:65)
Comment 3 hazam 2009-02-11 15:17:52 UTC
Created attachment 76862 [details]
stacktrace
Comment 4 Petr Suchomel 2009-02-16 10:27:46 UTC
Fixed in trunk
Comment 5 Andrei Chistiakov 2009-02-17 13:25:08 UTC
Verified with  NetBeans IDE Dev (Build 200902161401).
Comment 6 Marian Mirilovic 2009-03-03 14:33:07 UTC
http://hg.netbeans.org/release65_fixes/rev/5e58d42be709
Comment 7 pjulien 2009-03-03 14:37:42 UTC
I'm not sure I understand what the target milestone changing to 6.7 means.  I would like to point out that this bug
happens in 6.5 because of jdk 6u12.
Comment 8 Andrei Chistiakov 2009-03-05 16:18:17 UTC
Verified with NetBeans IDE 6.5.1 (Build 200903050001)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo